package com.ruoyi.ibs.list.domain;

import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;
import com.ruoyi.ibs.tabs.domain.dto.TabPotAddDTO;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;

/**
 * 客群圈选分群对象 sys_group
 *
 * @author ruoyi
 * @date 2024-09-11
 */
public class SysGroup extends BaseEntity {
    private static final long serialVersionUID = 1L;

    /**
     * id
     */
    private Long id;

    /**
     * 分群名称
     */
    @Excel(name = "分群名称")
    private String groupName;

    /**
     * 创建方式
     */
    @Excel(name = "创建方式")
    private String createType;

    /**
     * 客户数
     */
    @Excel(name = "客户数")
    private Long customerNum;

    /**
     * 部门id
     */
    @Excel(name = "部门id")
    private Long deptId;

    /**
     * 用户id
     */
    @Excel(name = "用户id")
    private Long userId;

    /**
     * 更新方式
     */
    @Excel(name = "更新方式")
    private String updateType;

    /**
     * 状态
     */
    @Excel(name = "状态")
    private String status;

    /**
     * 删除标志(0代表存在，2代表删除)
     */
    private String delFlag;

    /**
     * 创建标志(0推荐给我的，1我创建的)
     */
    private String groupType;

    /**
     * 分群id
     */
    private String groupId;

    /**
     * 更新方式
     */
    @Excel(name = "客户类型")
    private String custType;

    /**
     * 活动创建角色，0总行管理员，1支行管理员
     */
    private String createRole;

    /** 规则建群标签id列表 */
    @Excel(name = "规则建群标签id列表")
    private String labelIds;

    @Excel(name = "规则建群标签sql")
    private String labelSql;

    /** 分群描述 */
    @Excel(name = "分群描述")
    private String description;

    /** 自动更新方式更新时间 */
    @Excel(name = "自动更新方式更新时间")
    private String updateTypeRelateTime;

    /** 关联分群id（规则创建客群时选择旧客群时需要） */
    @Excel(name = "关联分群id", readConverterExp = "规=则创建客群时选择旧客群时需要")
    private String relateGroupId;


    private TabPotAddDTO tabPotAddDTO;

    public TabPotAddDTO getTabPotAddDTO() {
        return tabPotAddDTO;
    }

    public void setTabPotAddDTO(TabPotAddDTO tabPotAddDTO) {
        this.tabPotAddDTO = tabPotAddDTO;
    }

    public String getCreateRole() {
        return createRole;
    }

    public void setCreateRole(String createRole) {
        this.createRole = createRole;
    }

    public void setId(Long id) {
        this.id = id;
    }

    public Long getId() {
        return id;
    }

    public void setGroupName(String groupName) {
        this.groupName = groupName;
    }

    public String getGroupName() {
        return groupName;
    }

    public void setCreateType(String createType) {
        this.createType = createType;
    }

    public String getCreateType() {
        return createType;
    }

    public void setCustomerNum(Long customerNum) {
        this.customerNum = customerNum;
    }

    public Long getCustomerNum() {
        return customerNum;
    }

    public void setDeptId(Long deptId) {
        this.deptId = deptId;
    }

    public Long getDeptId() {
        return deptId;
    }

    public void setUserId(Long userId) {
        this.userId = userId;
    }

    public Long getUserId() {
        return userId;
    }

    public void setUpdateType(String updateType) {
        this.updateType = updateType;
    }

    public String getUpdateType() {
        return updateType;
    }

    public void setStatus(String status) {
        this.status = status;
    }

    public String getStatus() {
        return status;
    }

    public void setDelFlag(String delFlag) {
        this.delFlag = delFlag;
    }

    public String getDelFlag() {
        return delFlag;
    }

    public String getGroupType() {
        return groupType;
    }

    public void setGroupType(String groupType) {
        this.groupType = groupType;
    }

    public String getGroupId() {
        return groupId;
    }

    public void setGroupId(String groupId) {
        this.groupId = groupId;
    }

    public String getCustType() {
        return custType;
    }

    public void setCustType(String custType) {
        this.custType = custType;
    }

    public String getLabelIds() {
        return labelIds;
    }

    public void setLabelIds(String labelIds) {
        this.labelIds = labelIds;
    }

    public String getUpdateTypeRelateTime() {
        return updateTypeRelateTime;
    }

    public void setUpdateTypeRelateTime(String updateTypeRelateTime) {
        this.updateTypeRelateTime = updateTypeRelateTime;
    }

    public String getDescription() {
        return description;
    }

    public void setDescription(String description) {
        this.description = description;
    }

    public String getRelateGroupId() {
        return relateGroupId;
    }

    public void setRelateGroupId(String relateGroupId) {
        this.relateGroupId = relateGroupId;
    }

    public String getLabelSql() {
        return labelSql;
    }

    public void setLabelSql(String labelSql) {
        this.labelSql = labelSql;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this, ToStringStyle.MULTI_LINE_STYLE)
                .append("id", getId())
                .append("groupName", getGroupName())
                .append("createType", getCreateType())
                .append("customerNum", getCustomerNum())
                .append("deptId", getDeptId())
                .append("userId", getUserId())
                .append("createBy", getCreateBy())
                .append("createTime", getCreateTime())
                .append("updateBy", getUpdateBy())
                .append("updateTime", getUpdateTime())
                .append("updateType", getUpdateType())
                .append("status", getStatus())
                .append("remark", getRemark())
                .append("delFlag", getDelFlag()).append("groupType", getGroupType())
                .append("groupId", getGroupId()).append("custType", getCustType()).append("createRole", getCreateRole())
                .toString();
    }
}
